%define book_version 1.02

Name:           gnuchess
Version:        6.2.4
Release:        %mkrel 1
Summary:        The GNU chess program
License:        GPLv2+ and Public Domain
Group:          Games/Boards
URL:            http://www.gnu.org/software/chess/
Source0:        ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz
Source1:        ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz.sig
Source2:        ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.gz
Source3:        ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.gz.sig

BuildRequires:  readline-devel
BuildRequires:  ncurses-devel
BuildRequires:  flex
BuildRequires:  help2man

Requires(pre):   info-install
Requires(preun): info-install

%description
The gnuchess package contains the GNU chess program.  By default, GNUchess uses
a text-based interface.  Alternatively, GNUchess can be used in conjunction
with other GUI interface, thus serving as a chess engine.

You should install the gnuchess package if you would like to play chess on your
computer. If you'd like to use a graphical interface with GNUchess, you'll also
need to install other GUI interface, such as xboard or eboard.

This package also includes opening book for gnuchess, containing many historic
games played between masters and grandmasters.


%prep
%setup -q
gzip -dc %{_sourcedir}/book_%{book_version}.pgn.gz > book.pgn
%autopatch -p1

%build
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

# create book
./src/%{name} --addbook book.pgn

%install
%make_install

# move plugins dir
mv %{buildroot}%{_gamesdatadir}/games/plugins %{buildroot}%{_gamesdatadir}/

# install book
install -m0644 book.bin -D %{buildroot}%{_gamesdatadir}/%{name}/book.bin

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%license COPYING
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}/*
%{_gamesdatadir}/plugins/*/*
%{_infodir}/*
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Nov 13 2016 luigiwalser <luigiwalser> 6.2.4-1.mga6
+ Revision: 1067087
- 6.2.4
- remove upstream patch

* Mon Feb 15 2016 umeabot <umeabot> 6.2.2-2.mga6
+ Revision: 960483
- Mageia 6 Mass Rebuild

* Sat Oct 24 2015 ycantin <ycantin> 6.2.2-1.mga6
+ Revision: 895040
- new version 6.2.2

* Wed Oct 15 2014 umeabot <umeabot> 6.1.1-3.mga5
+ Revision: 750960
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.1.1-2.mga5
+ Revision: 679819
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 dams <dams> 6.1.1-1.mga5
+ Revision: 591507
- new version 6.1.1

* Sat Oct 19 2013 umeabot <umeabot> 6.0.3-4.mga4
+ Revision: 523935
- Mageia 4 Mass Rebuild

* Mon May 27 2013 kamil <kamil> 6.0.3-3.mga4
+ Revision: 428405
- new version 6.0.3

* Sat Jan 12 2013 umeabot <umeabot> 6.0.2-3.mga3
+ Revision: 352349
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 6.0.2-2.mga3
+ Revision: 324555
- rebuild for Mga3 Beta1

* Mon Mar 05 2012 kamil <kamil> 6.0.2-1.mga2
+ Revision: 218516
- new version 6.0.2
- drop mga-allow-to-open-a-read-only-book.patch - merged upstream
- use new "--addbook" option to generate the book

* Tue Jan 10 2012 kamil <kamil> 6.0.1-3.mga2
+ Revision: 194743
- fix a typo in %%preun

* Tue Jan 10 2012 kamil <kamil> 6.0.1-2.mga2
+ Revision: 194733
- update license
- rename patch readonly_book to mga-allow-to-open-a-read-only-book
- add install and deinstall time requirements on info-install
- add scripts _install_info into post and _remove_install_info into preun
- rebuild against new gcc 4.6.2

* Sat Sep 24 2011 obgr_seneca <obgr_seneca> 6.0.1-1.mga2
+ Revision: 147350
- new version 6.0.1
- removed obsolete Provides for a chessengine
- removed obsolete Obsoletes and Requires for gnuchess-book
- fixed Book Learn feature, allow to open a read-only book file
- changes by Kamil Rytarowski (ryoshu)
- clean up

* Mon Jun 27 2011 fwang <fwang> 6.0.0-1.mga2
+ Revision: 114431
- new version 6.0.0

* Thu Mar 03 2011 ennael <ennael> 5.07-16.mga1
+ Revision: 63739
- imported package gnuchess

